svrctl(2)

NAME
svrctl - special server control functions

SYNOPSIS
#include <sys/svrctl.h>
int svrctl(u32_t request, void *data);

DESCRIPTION
Svrctl allows root to control the kernel in various ways, or implements some very Minix specific system calls that don't deserve their own system call number.

This system call makes it easy to add new ways of setting and getting kernel parameters, but at the same time, backwards compatibility is not guaranteed. Read the <sys/svrctl.h> include file to see what the struct's mentioned below look like. Most calls are root-only, unless specified otherwise.

The only way to know how to properly use these calls is to study the associated kernel or server code, or the programs that already use these calls.

Current requests are:

MMSIGNON
    Inform MM that the current process wants to become a server.

MMSWAPON
    Instruct MM to mount a file or device as swapspace.

MMSWAPOFF
    Tell MM to stop using swapspace.

FSSIGNON
    Register a new device with FS.

SYSSIGNON
    Inform the kernel that the process want to become a server. The processes task number is filled-in in a struct systaskinfo.

SYSGETENV
    Request the value of one or all boot parameters. Can be used by non-root.

RETURN VALUES
Svrctl returns 0 upon success and -1 upon failure.

AUTHOR
Philip Homburg <philip@cs.vu.nl>